unit rdlg_baseform;

{<
  rBaseDlg contains base form used as ancestor for all others dialog.

  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(March 2011)
  @lastmod(Sep 2015)
}

interface

{$INCLUDE _rosi.inc}
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, rImprovedComps, StdCtrls, ExtCtrls, PropSaveMain;

type
  { base form used as ancestor for all others dialog }
  TrDlgBaseForm = class(TForm)
    ImgDlgEna: TrImageListEx;
    ImgZoomEna: TrImageListEx;
    pBottom: TPanel;
    pBottomRight: TPanel;
    btOk: TrButton;
    btCancel: TrButton;
    DlgPropSave: TPropSaveMain;
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

var
  rDlgBaseForm: TrDlgBaseForm;

implementation

{$R *.dfm}
uses RosiCompGlobalCfg, rdlg;

procedure TrDlgBaseForm.FormCreate(Sender: TObject);
begin
  Font.Name:=RosiCompConfig.rDBToolCfg.rDlg_DefaultFont;
  Font.Size:=RosiCompConfig.rDBToolCfg.rDlg_DefaultSize;
end;

end.
